/* Styles for root, body and links */

:root{
    --bgcolor: #ffffff;
    --activcolor: #FEAD2A;
    --color: #000000;
}

::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    background-color: var(--bgcolor);
}

::-webkit-scrollbar-button {
    background-color: var(--bgcolor);
}

::-webkit-scrollbar-thumb {
    background-color: var(--activcolor);
    height: 10vh;
}

body{
    background-color: var(--bgcolor);
    color: var(--color);   
}

a {
    text-decoration: none;
    color: var(--color);
    transition: color 0.5s ease;
}

a:hover{
    color: var(--activcolor);
    transition: color 0.05s ease;
}

/* Styles for slide in animation */

.hidden{
    opacity: 0;
    filter: blur(5px);
    transform: translateX(-100%);
    transition: all 0.75s;
}

.show{
    transform: translateX(0%);
    filter: blur(0px);
    opacity: 1;
}

/* Styles for NavBar */

nav {
    position: fixed;
    display: flex;
    width: 100%;
    justify-content: space-between;
    flex-shrink: 0;
    backdrop-filter: blur(5px);
    padding: 1.5% 2%;
    z-index: 90;
}

.navItems {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-content: space-between;
    column-gap: 50px;
}

.resumeLink {
    display: inline-block;
    padding: 0% 10%;
    margin-top: -5%;
    margin-right: 5px;
    width: max-content;
    border: 1px solid var(--activcolor);
    border-radius: 50px;
}

.resumeLink:hover {
    color: var(--color);
    background-color: var(--activcolor);
    transition: ease-in-out 0.1s;
}

.menuIcon {
    display: none;
    border: none;
    background-color: var(--bgcolor);
}

.menuIcon .bar {
    width: 20px;
    height: 3px;
    background-color: var(--color);
    margin: 4px auto;
}

section {
    padding: 2%;
    transition: background-color 0.2s ease-in-out;
}


.sectionHeader{
    margin: 4% 0%;
}

/* Styles for Hero Section */

#hero {
    height: 90vh;
}

.header {
    margin: 30vh 5% 1vh;
    text-align: center;
}

.greeting{
    font-size: 2rem;
}

h1{
    font-size: 3rem;
    transition-delay: 50ms;
}

h3 {
    font-size: x-large;
}

.headerDesc {
    font-size: 1.2rem;
    margin-bottom: 5%;
    transition-delay: 150ms;
}

.profileLinks{
    transition-delay: 200ms;
}

.profileLink {
    margin: 1% 1%;
    font-size: 25px;
}

li {
    list-style: none;

}

/* Styles for About & Skills Sections */

#about p, .skillsContainer {
    padding: 5%;
}

.container {
    display: flex;
    flex-wrap: nowrap;
}

#about,
#skill {
    width: 50%;
    flex-shrink: 0;
}

.skillItem {
    background-color: #ffffff;
    color: #000000;
    display: inline-block;
    padding: 2%;
    margin: 1.5% 1.5%;
    font-size: large;
    transition: color 0.5s ease, background-color 0.5s ease;
}

.skillItem:hover{
    background-color: var(--activcolor);
    color: #ffffff;
    transition: color 0.05s ease, background-color 0.05s ease;
}

/* Styles for Projects Section */

.projectCard {
    display: flex;
    margin: 0.5% 0.1%;
    border-radius: 5px;
}
.projectImage {
    width: 50%;
    padding: 5%;
    aspect-ratio: auto;
}

.projectContent {
    padding: 10% 2%;
}

.projectLinks {
    margin: 2%;
    font-size: 30px;
}

/* Styles for Footer Section */

#footer {
    background-color: var(--bgcolor);
}
.footerContent{
    display: flex;
    justify-content:space-between;
    flex-wrap: nowrap;
}
.copyright {
    display: block;
    margin-top: 2%;
    text-align: center;
}
.footerSocials, .footerName{
    width: 50%;
    flex-shrink: 0;
}
.footerName{
    text-align: right;
}

@media only screen and (max-width: 700px) {
    nav {
        flex-direction: column;
    }

    .navHead {
        width: 100%;
    }

    .navItems {
        display: none;
    }

    .active {
        display: flex;
        max-height: 100%;
        flex-direction: column;
        justify-content: space-between;
        height: 30vh;
        width: 100%;
        align-items: center;
        align-content: center;
        backdrop-filter: blur(5px);
    }

    .menuIcon {
        display: inline;
        position: absolute;
        float: right;
        right: 2.5%;
    }

    .menuIcon:hover {
        background-color: var(--activcolor);
    }

    .greeting{
        font-size: 1.75rem;
    }
    
    h1{
        font-size: 2.5rem;
    }
    
    
    .headerDesc {
        font-size: 1rem;
        margin-bottom: 5%;
    }

    .container {
        flex-direction: column;
        flex-wrap: wrap;
    }

    #about,
    #skill {
        width: 100%;
        flex-shrink: 0;
    }

    .skillItem{
        background-color: var(--activcolor);
        color: #000000;
    }

    .projectCard {
        flex-direction: column;
    }

    .projectImage {
        width: 90vw;
        justify-content: center;
        align-content: center;
        align-items: center;
    }
    .footerContent{
        flex-direction: column; 
        align-items: center;
        padding: 0%
    }
    .footerSocials, .footerName{
        text-align: center;
        padding: 1%;
    }
}